Package com.independentsoft.office.drawing.extensions

# Class FormulaReference

java.lang.Object
com.independentsoft.office.drawing.extensions.FormulaReference

All Implemented Interfaces:
  `IExtensionContent`

public class FormulaReference extends Object implements IExtensionContent
Represents the formula-reference chart extension (`c15:formulaRef`) that carries the original formula of a chart data reference in a `c15:sqref` child (uri `{02D57815-91ED-43cb-92C2-25804820EDAC}`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `NAMESPACE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FormulaReference()`
  Instantiates a new formula reference.
  `FormulaReference​(InternalXMLStreamReader reader)`
  Instantiates a new formula reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IExtensionContent`
  `clone()`
  Clone.
  `String`
  `getFormula()`
  Gets the formula (the text of the `c15:sqref` child).
  `void`
  `setFormula​(String formula)`
  Sets the formula (the text of the `c15:sqref` child).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### FormulaReference

    public FormulaReference()
    Instantiates a new formula reference.

  - ### FormulaReference

    public FormulaReference​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new formula reference.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public IExtensionContent clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFormula

    public String getFormula()
    Gets the formula (the text of the `c15:sqref` child).
    Returns:
      the formula

  - ### setFormula

    public void setFormula​(String formula)
    Sets the formula (the text of the `c15:sqref` child).
    Parameters:
      `formula` - the new formula